# $Revision: 1.83 $, $Date: 2011/10/09 10:22:54 $
# TODO:
# - kill unaligned accesses (create_db,gpre_current,gbak_static,isql_static) on alpha
#   - check if it's fixed now (RISC_ALIGNMENT is defined)
# - create classic server/super server subpackages and drop bcond
#   (see firebird2 on debian how to do it)
# - logrotate script
#
# Conditional build:
%bcond_with	ss	# Super Server (standalone daemon instead of inetd service)
#
Summary:	Firebird SQL Database Server and Client tools
Summary(de.UTF-8):	Firebird - relationalen Open-Source- Datenbankmanagementsystems
Summary(pl.UTF-8):	Firebird - serwer baz danych SQL oraz narzędzia klienckie
Name:		Firebird
# FirebirdCS/FirebirdSS (Classic Server/Super Server)?
Version:	2.5.0.26074
Release:	6
License:	Interbase Public License 1.0, Initial Developer's Public License 1.0
Group:		Applications/Databases
Source0:	http://downloads.sourceforge.net/firebird/%{name}-%{version}-0.tar.bz2
# Source0-md5:	780f162ee71f087fc277adf09f966529
Source1:	http://www.firebirdsql.org/pdfmanual/%{name}-2.5-QuickStart.pdf
# Source1-md5:	a7776f1eae45ba0b2543c203cd5271ae
# distfiles refuses this, would require some audit to allow '('/')' chars
#Source2:	http://www.firebirdsql.org/pdfmanual/Using-Firebird_(wip).pdf
## Source2-md5:	9eb90583c200bdd7292a80ecc1df1178
Source3:	http://www.firebirdsql.org/pdfmanual/%{name}-Null-Guide.pdf
# Source3-md5:	d1f8ba75fe3bb9eb9d203ce3f82a1a1a
Source4:	http://www.firebirdsql.org/pdfmanual/%{name}-Generator-Guide.pdf
# Source4-md5:	44e7568ef477072a8ad5f381c3e12a75
Source5:	http://www.firebirdsql.org/pdfmanual/MSSQL-to-%{name}.pdf
# Source5-md5:	1bd4a168e550910fc899e2aa125d83a3
Source6:	http://www.firebirdsql.org/pdfmanual/%{name}-nbackup.pdf
# Source6-md5:	7ef8a8b9a899d06bec2a5da0bb5fea0e
Source7:	http://www.firebirdsql.org/pdfmanual/%{name}-Utils-WIP.pdf
# Source7-md5:	39b9a4f3c9d9e27d985e9277ae163ceb
Source8:	http://www.firebirdnews.org/docs/fb2min.pdf
# Source8-md5:	ebac312c0afbe97b1850bdc74c553c28
Source9:	http://www.firebirdsql.org/doc/contrib/fb_2_1_errorcodes.pdf
# Source9-md5:	9ab392dc349657dbcf9a9c35acd8e8db
Source100:	firebird.init
Source101:	firebird.sysconfig
Source102:	firebird.inetd
Patch0:		%{name}-chmod.patch
Patch1:		%{name}-editline.patch
Patch2:		%{name}-va.patch
Patch3:		%{name}-morearchs.patch
Patch4:		%{name}-FHS.patch
Patch5:		%{name}-64bit.patch
Patch6:		%{name}-gcc-icu.patch
Patch7:		%{name}-btyacc-segv.patch
Patch8:		%{name}-opt.patch
Patch9:		%{name}-rpath.patch
Patch10:	%{name}-noroot.patch
URL:		http://www.firebirdsql.org/
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libatomic_ops
BuildRequires:	libedit-devel
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	psmisc >= 22.5-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	%{name}-lib = %{version}-%{release}
%if %{with ss}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
%endif
# official ports are x86, x86_64, ppc, sparc, arm, mips/mipsel, ia64
# alpha is added in morearchs patch
# see morearchs patch if you want more
ExclusiveArch:	%{ix86} %{x8664} arm ia64 mips mipsel ppc sparc sparcv9 alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ibdir	%{_libdir}/interbase
%define		specflags	-fno-strict-aliasing
%define		debugcflags	-O1 -g -Wall -fno-strict-aliasing

%description
Firebird is a powerful, high-performance relational database designed
to be embedded into applications on multiple platforms.

%description -l pl.UTF-8
Firebird jest potężnym, wysoko wydajnym systemem relacyjnych baz
danych zaprojektowanym do osadzania w aplikacjach na wielu
platformach.

%description -l de.UTF-8
Firebird ist der Open-Source-Spin-Off des weiterhin kommerziell von
Borland vertriebenen relationalen Datenbankmanagementsystemes
InterBase. Die Abspaltung erfolgte im Jahre 2000 als kurz vor Freigabe
der Version 6 des kommerziellen Vorgängers Interbase bei Borland
ernsthafte Überlegungen im Gange waren, die Weiterentwicklung
einzustellen.

Aus Interbase 6.0 wurde Firebird 1.0, wobei dies als eine
Bugfix-Version mit nur wenigen Erweiterungen angesehen werden kann.
Eine Erweiterung von Firebird 1.0 ist der 64-Bit File I/O, so dass
auch Datenbankdateien über 2GB erzeugt werden können.

%package dirs
Summary:	Firebird SQL Database common directories
Summary(pl.UTF-8):	Firebird - wspólne katalogi
Group:		Applications/Databases

%description dirs
Firebird SQL Database common directories.

%description dirs -l pl.UTF-8
Firebird - wspólne katalogi.

%package lib
Summary:	Firebird shared library
Summary(pl.UTF-8):	Biblioteka współdzielona Firebird
Group:		Libraries

%description lib
Firebird shared library (libgds).

%description lib -l pl.UTF-8
Biblioteka współdzielona Firebird (libgds).

%package devel
Summary:	Header files for Firebird library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Firebird
Group:		Development/Libraries
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	%{name}-lib = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Firebird library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Firebird.

%package static
Summary:	Static Firebird library
Summary(pl.UTF-8):	Statyczna biblioteka Firebird
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Firebird library (libgds).

%description static -l pl.UTF-8
Statyczna biblioteka Firebird (libgds).

%package doc
Summary:	Extensive InterBase and Firebird documentation
Summary(pl.UTF-8):	Obszerna dokumentacja do baz InterBase i Firebird
Group:		Documentation

%description doc
Extensive InterBase and Firebird documentation.

%description doc -l pl.UTF-8
Obszerna dokumentacja do baz InterBase i Firebird.

%prep
%setup -q -n %{name}-%{version}-0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

mkdir docs
cp %{SOURCE1} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} docs

# not processed by configure
%{__sed} -i -e 's/^CFLAGS.*$/& %{rpmcflags} %{rpmcppflags}/' extern/btyacc/Makefile
%{__sed} -i -e 's/^\(CC\|LINKER\)\(.*= \)gcc$/\1\2 %{__cc}/' extern/btyacc/Makefile

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}

%configure \
	--with-editline \
	--with-fbconf=%{_sysconfdir}/firebird \
	--with-fblib=%{_libdir} \
	--with-fblog=/var/log \
	--with-fbsecure-db=/var/lib/firebird \
	--with-gnu-ld \
	--with-gpre-pascal \
	--with-system-editline \
	--with-system-icu \
	%{?with_ss:--enable-superserver} \
	--prefix=%{ibdir} \
	%{?debug:--enable-debug}

%{__make} -j1

# fb_lock_mgr is started during build - try to stop it (if /proc is mounted...)
fuser -k gen/firebird/bin/fb_lock_mgr 2>/dev/null || :

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src -f ../gen/Makefile.install buildImageDir

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{firebird,rc.d/init.d,sysconfig/rc-inetd}
install -d $RPM_BUILD_ROOT{%{_bindir},%{ibdir},%{_libdir},%{_includedir}} \
install -d $RPM_BUILD_ROOT/var/{log,lib/firebird} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install gen/firebird/lib/libfb*.a $RPM_BUILD_ROOT%{_libdir}
touch $RPM_BUILD_ROOT/var/log/firebird.log

cd gen/buildroot
install var/lib/firebird/security2.fdb $RPM_BUILD_ROOT/var/lib/firebird
install etc/firebird/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/firebird
cp -df usr/%{_lib}/*.so* $RPM_BUILD_ROOT%{_libdir}
cd .%{ibdir}
install include/* $RPM_BUILD_ROOT%{_includedir}
cp -af UDF bin help intl plugins firebird.msg de_DE.msg fr_FR.msg $RPM_BUILD_ROOT%{ibdir}
chmod 755 examples examples/{api,dyn,include,stat,udf} # allow further cleaning
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# or libfbembed?
ln -sf libfbclient.so.2 $RPM_BUILD_ROOT%{_libdir}/libgds.so.0
ln -sf libfbclient.so.2 $RPM_BUILD_ROOT%{_libdir}/libgds.so

ln -sf libfbstatic.a $RPM_BUILD_ROOT%{_libdir}/libgds.a

for f in bin/{fb_lock_print,gbak,gdef,gfix,gpre,gsec,gsplit,gstat,nbackup}; do
	ln -sf %{ibdir}/$f $RPM_BUILD_ROOT%{_bindir}/${f#bin/}
done

%if %{with ss}
install %{SOURCE100} $RPM_BUILD_ROOT/etc/rc.d/init.d/firebird
install %{SOURCE101} $RPM_BUILD_ROOT/etc/sysconfig/firebird
%else
install %{SOURCE102} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/firebird
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 145 firebird
%useradd -u 145 -d %{ibdir} -s /bin/sh -g firebird -c "Firebird Server" firebird

%if %{with ss}
%post
/sbin/chkconfig --add firebird
%service firebird restart

%preun
if [ "$1" = "0" ]; then
	%service firebird stop
	/sbin/chkconfig --del firebird
fi
%endif

%postun
if [ "$1" = "0" ]; then
	%userremove firebird
	%groupremove firebird
fi

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%triggerpostun -- %{name} < 2.1.1.17910-2
if [ -f %{ibdir}/aliases.conf.rpmsave ]; then
	mv -f %{ibdir}/aliases.conf.rpmsave %{_sysconfdir}/firebird/aliases.conf
fi
if [ -f %{ibdir}/firebird.conf.rpmsave ]; then
	mv -f %{ibdir}/firebird.conf.rpmsave %{_sysconfdir}/firebird/firebird.conf
fi
if [ -f %{ibdir}/security2.fdb.rpmsave ]; then
	mv -f %{ibdir}/security2.fdb.rpmsave /var/lib/firebird/security2.fdb
fi

%files
%defattr(644,root,root,755)
%doc doc/{license,sql.extensions,Firebird_conf.txt,README.user*,WhatsNew,fb2-todo.txt}
%dir %{_sysconfdir}/firebird
%attr(640,root,firebird) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/firebird/aliases.conf
%attr(640,root,firebird) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/firebird/fbtrace.conf
%attr(640,root,firebird) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/firebird/firebird.conf
%attr(755,root,root) %{_bindir}/fb_lock_print
%attr(755,root,root) %{_bindir}/gbak
%attr(755,root,root) %{_bindir}/gdef
%attr(755,root,root) %{_bindir}/gfix
%attr(755,root,root) %{_bindir}/gpre
%attr(755,root,root) %{_bindir}/gsec
%attr(755,root,root) %{_bindir}/gsplit
%attr(755,root,root) %{_bindir}/gstat
%attr(755,root,root) %{_bindir}/nbackup
%attr(755,root,root) %{_libdir}/libib_util.so
%attr(755,root,root) %{ibdir}/UDF
%attr(755,root,root) %{ibdir}/bin/*
%exclude %{ibdir}/bin/fb_config
%{ibdir}/help
%dir %attr(770,root,firebird) %{ibdir}/intl
%attr(755,root,root) %{ibdir}/intl/fbintl
# should it be moved to %{_sysconfdir} and marked as config?
%{ibdir}/intl/fbintl.conf
%dir %{ibdir}/plugins
%attr(755,root,root) %{ibdir}/plugins/libfbtrace.so
%{ibdir}/firebird.msg
%lang(de) %{ibdir}/de_DE.msg
%lang(fr) %{ibdir}/fr_FR.msg
%dir %attr(770,root,firebird) /var/lib/firebird
%attr(660,root,firebird) %config(noreplace) %verify(not md5 mtime size) /var/lib/firebird/security2.fdb
%attr(660,root,firebird) %config(noreplace) %verify(not md5 mtime size) /var/log/firebird.log

%if %{with ss}
%attr(754,root,root) /etc/rc.d/init.d/firebird
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/firebird
%else
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/firebird
%endif

%files dirs
%defattr(644,root,root,755)
%dir %{ibdir}
%dir %{ibdir}/bin

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfbclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfbclient.so.2
%attr(755,root,root) %{_libdir}/libfbembed.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfbembed.so.2.5

# InterBase/old Firebird compatibility symlinks
%attr(755,root,root) %{_libdir}/libgds.so.0
# needed here - original libgds.so.0 didn't have soname, so some old
# (possibly not open-source) apps may be linked with libgds.so
%attr(755,root,root) %{_libdir}/libgds.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfbclient.so
%attr(755,root,root) %{_libdir}/libfbembed.so
%attr(755,root,root) %{ibdir}/bin/fb_config
%{_includedir}/ib_util.h
%{_includedir}/ibase.h
%{_includedir}/iberror.h
%{_includedir}/perf.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libfbstatic.a
# compat link
%{_libdir}/libgds.a

%files doc
%defattr(644,root,root,755)
%doc docs/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Firebird.spec,v $
Revision 1.83  2011/10/09 10:22:54  arekm
- release 6

Revision 1.82  2011/08/31 18:31:30  arekm
- release 5

Revision 1.81  2011/03/20 18:05:11  arekm
- release 4

Revision 1.80  2011/02/26 07:38:40  arekm
- release 3

Revision 1.79  2010/11/01 20:41:02  arekm
- rel 2; fix x86_64 build

Revision 1.78  2010/10/29 17:21:07  qboosh
- updated to 2.5.0
- updated editline,morearchs,FHS,64bit,gcc-icu,opt,rpath patches
- added noroot patch (allow non-root make install)

Revision 1.77  2010/08/29 18:16:59  qboosh
- updated rpath killing (rpath patch)

Revision 1.76  2010/08/29 10:21:07  qboosh
- actually use optflags (opt patch)

Revision 1.75  2010/08/29 07:32:02  qboosh
- added btyacc-segv patch to fix off-by-one in included btyacc

Revision 1.74  2010/06/15 08:27:11  hawk
- release 3

Revision 1.73  2010/03/08 12:24:20  hawk
- release 2

Revision 1.72  2009/11/28 16:19:56  charles
- updated last commit log

Revision 1.71  2009/11/28 14:04:14  charles
- adapterized
- added fb_lock_print,gbak,gdef,gds_drop,gfix,gpre,gsec,gsplit,gstat,nbackup symlinks

Revision 1.70  2009/09/27 18:35:24  vip
- fix new operator overloading compilation error (patch from Fedora)

Revision 1.69  2009/09/19 00:35:30  charles
- updated to 2.1.3
- fixed fb_config

Revision 1.68  2009/07/05 09:31:42  cactus
- libedit-devel has already BR: ncurses-devel

Revision 1.67  2009/07/02 21:14:30  baggins
- 2.1.2
- added dirs package so devel won't pull so many deps
- fixed compile on 64bit archs

Revision 1.66  2009/06/30 16:13:44  glen
- devel pulls too much

Revision 1.65  2008/08/23 19:41:58  charles
- moved fb_config to -devel

Revision 1.64  2008/08/23 19:27:51  charles
- added -FHS.patch (moved {aliases,firebird}.conf files to /etc/firebird
  and security2.fdb to /var/lib/firebird/) + triggerpostun
- updated TODO, rel. 2

Revision 1.63  2008/07/19 06:27:11  qboosh
- updated EA and ac version

Revision 1.62  2008/07/19 06:23:26  qboosh
- updated to 2.1.1
- updated editline patch to use system editline (named libedit)
- updated va,morearchs patches are back (portability and alpha support)
- removed obsolete gcc4,fix-pthreads-detect,link-with-g++,no-custom-errno-and-sys_XXerrXX,
  opt-bypass-redundant-sort,security-remote-preauth-crash,ppc,64bit patches
- dropped Debian/non-Linux specific fix-os-detection,separate-file-and-sem-perms patches
- updated install and files sections

Revision 1.61  2008/07/18 05:22:35  qboosh
- updated md5 for Firebird-2.0-QuickStart.pdf, Firebird-nbackup.pdf

Revision 1.60  2008/07/04 08:19:00  marcus
- fixed md5, in Firebird 2.x is security2.fdb, no security.fdb

Revision 1.59  2008/06/25 14:24:18  marcus
- kill ReleaseCandidate1

Revision 1.58  2008/06/25 14:22:17  marcus
- up to 2.1.0.17798-0

Revision 1.57  2008/02/26 09:27:11  arekm
BR: libicu-devel

Revision 1.56  2008-02-24 09:43:06  arekm
- playing with 2.1RC. 1.5 is on FIREBIRD_1_5 now

Revision 1.55  2008-01-04 11:39:50  qboosh
- bcond header

Revision 1.54  2007-12-26 14:50:33  tommat
- builds on sparc too rel 1

Revision 1.53  2007-12-26 13:14:49  tommat
- up to 1.5.5.4926
- rel 0.1 build will be tested on more than i686

Revision 1.52  2007-11-09 10:09:12  glen
- fix unpackaged files

Revision 1.51  2007-05-15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.50  2007/02/28 12:27:46  arekm
- rel 2; build on 64bit, too

Revision 1.49  2007/02/18 08:56:47  qboosh
- updated to 1.5.4.4910
- updated morearchs,gcc4,fix-pthreads-detect,link-with-g++,no-custom-errno-and-sys_XXerrXX patches

Revision 1.48  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.47  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.46  2007/02/09 22:40:03  arekm
- fix

Revision 1.45  2007/02/09 16:16:21  arekm
- rel 8; package symlinks

Revision 1.44  2007/01/05 17:09:14  arekm
- rel 7

Revision 1.43  2007/01/05 16:53:17  arekm
- force src/dsql/parse.cpp rebuild

Revision 1.42  2007/01/04 02:37:56  arekm
- rel 6

Revision 1.41  2007/01/02 13:45:26  arekm
- rel 5; fix ppc build

Revision 1.40  2007/01/02 13:11:27  arekm
- rel 4

Revision 1.39  2006/08/20 13:39:26  arekm
- rel 3; more gcc4 fixes

Revision 1.38  2006/08/17 23:57:59  wolvverine
- right to files

Revision 1.37  2006/07/19 12:10:53  blues
- URL changed

Revision 1.36  2006/04/30 18:54:39  adamg
- fix path to fbmgr in firebird.init
- make it build (dirty hack applied, dunno if it is propper approach)
- needs tests

Revision 1.35  2006/04/16 21:44:56  glen
- fix chkconfig, rc-scripts deps

Revision 1.34  2006/03/28 18:25:06  arekm
- some patches from debian

Revision 1.33  2006/03/27 08:15:50  arekm
- rel 2

Revision 1.32  2006/03/19 17:50:57  glen
- use %service

Revision 1.31  2006/01/31 21:04:55  qboosh
- updated to 1.5.3.4870, removed obsolete env-overflows patch

Revision 1.30  2005/12/24 16:01:46  qboosh
- added gcc4 patch (builds at least on x86 using gcc 4.1)

Revision 1.29  2005/08/01 16:26:26  witekfl
- BR: bison

Revision 1.28  2005/05/19 16:16:17  qboosh
- changed libgds.so.0 symlink to more update-resistant

Revision 1.27  2005/05/11 13:17:29  qboosh
- use x8664 macro

Revision 1.26  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.25  2005/03/23 11:53:06  spider
- added german description

Revision 1.24  2005/02/21 22:18:11  arekm
- add inetd script for CS version

Revision 1.23  2005/02/21 21:07:46  arekm
- add init/sysconfig scripts

Revision 1.22  2004/12/29 09:36:41  hawk
- updated to 1.5.2.4731

Revision 1.21  2004/10/25 10:02:34  qboosh
- release 3

Revision 1.20  2004/10/10 18:29:43  paladine
- added missing BR: autoconf,automake,libtool

Revision 1.19  2004/10/08 12:34:24  qboosh
- more updates in morearchs patch, now builds on alpha (but triggers unaligned traps)

Revision 1.18  2004/10/03 01:36:13  havner
- updated morearch patch
- rel 2

Revision 1.17  2004/08/13 18:16:52  radek
- release 1 (why not?)

Revision 1.16  2004/08/08 11:45:07  qboosh
- try to kill fb_lock_mgr after build

Revision 1.15  2004/08/08 11:27:20  qboosh
- sparc patch replaced by -Dsparc, adjusted morearchs patch

Revision 1.14  2004/08/08 10:53:15  qboosh
- updated to 1.5.1.4500 (bugfixes, am64 port)
- removed obsolete link,types patches, updated sparc,morearchs patches

Revision 1.13  2004/05/30 00:52:18  qboosh
- release 1 (it's in better state than 1.0.2.x)

Revision 1.12  2004/05/30 00:51:26  qboosh
- merged DEVEL

Revision 1.11.2.9  2004/05/29 18:01:25  qboosh
- not ready for parallel build

Revision 1.11.2.8  2004/05/29 17:26:38  qboosh
- builds on ppc now; 64-bit port is broken, needs too much work

Revision 1.11.2.7  2004/05/29 16:05:59  qboosh
- readded env-overflows patch (still some left)

Revision 1.11.2.6  2004/05/29 14:38:07  qboosh
- va fix, some tries with other archs, debug fixes, no-strict-aliasing

Revision 1.11.2.5  2004/05/28 18:29:26  qboosh
- there is sparc32-linux port - added sparc patch, builds now; updated EA

Revision 1.11.2.4  2004/05/28 06:04:27  qboosh
- libgds.so.0 should point to always existing file (to avoid removal by ldconfig)

Revision 1.11.2.3  2004/05/28 06:00:34  qboosh
- added missing ldconfig

Revision 1.11.2.2  2004/05/24 23:06:39  qboosh
- updated chmod,link patches, build/install/files sections
- client lib builds, server still needs some work

Revision 1.11.2.1  2004/05/23 22:01:53  qboosh
- started update to 1.5.0 final, NFY

Revision 1.11  2003/10/29 21:01:54  qboosh
- added link patch to fix libgds linking (use -ldl -lcrypt, added soname)
- added chmod patch to avoid security problems during build (*EVIL* perms)
- added env-overflows patch which removes direct overflows through "INTERBASE"
  (and similar) environment vars, mentioned in CAN-2003-0281
- release 2

Revision 1.10  2003/06/12 14:25:39  qboosh
- added gcc33 patch

Revision 1.9  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.5  2003/02/28 10:06:57  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/01/29 11:47:12  qboosh
- only x86 is supported for now

Revision 1.3  2003/01/23 20:18:43  qboosh
- updated to 1.0.2.908
- removed obsolete isc4.gbak file and bootkit-missing,ksh patches
- updated fix patch

Revision 1.2  2002/12/24 17:13:07  qboosh
- added some InterBase/Firebird docs (as subpackage - it's huge, even package)

Revision 1.1  2002/12/05 21:30:25  qboosh
- only builds (Classic version for now)
